---
layout: post
title: "Weather Change"
permalink: weather-change
date: 2011-01-29
author: phobos
category: blog
tags: ["feature enhancements", "relay tracking", "weather"]
---

Announcing the vastly improved [Tor Weather](https://weather.torproject.org/)!

The new weather incorporates many new features designed to make it far more useful to relay operators new and old.

The new Tor Weather now checks the current consensus and can notify the relay operators if:

- their node is offline for a specified period of time,
- their node has been seeing very little usage,
- their node's Tor version is out of date,
- and if they've passed the threshold to receive a free Tor t-shirt.

This complete re-write and enhancement of Tor Weather was done by [Professor Danner's](http://ndanner.web.wesleyan.edu/) students during their summer [The Humanitarian Free and Open Source Software at Wesleyan University](http://hfoss.wesleyan.edu/) course. Thanks to Jeff, Kate, and Michael for designing, coding, and testing this new Tor Weather release. Thanks to our own Kaner for mentoring the students and integrating their changes into the infrastructure.

